Playbook
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableRequired
isPrivatebooleanRequired
organizationWidebooleanRequired
dateAddedstring · date-timeRequired
hasImagebooleanOptional
hasWordAssemblybooleanOptional
hasMultipleGroupsbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
requiresMaintenancebooleanOptional
get/playbooks/{playbookIdentifier}
GET /playbooks/{playbookIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"hasImage": true,
"hasWordAssembly": true,
"hasMultipleGroups": true,
"groupCount": 1,
"promptCount": 1,
"requiresMaintenance": true
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Body
namestring · nullableRequired
descriptionstring · nullableOptional
isPrivatebooleanRequired
organizationWidebooleanRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableRequired
isPrivatebooleanRequired
organizationWidebooleanRequired
dateAddedstring · date-timeRequired
hasImagebooleanOptional
hasWordAssemblybooleanOptional
hasMultipleGroupsbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
requiresMaintenancebooleanOptional
put/playbooks/{playbookIdentifier}
PUT /playbooks/{playbookIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true
}200
OK
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"hasImage": true,
"hasWordAssembly": true,
"hasMultipleGroups": true,
"groupCount": 1,
"promptCount": 1,
"requiresMaintenance": true
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
204
No Content
No content
delete/playbooks/{playbookIdentifier}
DELETE /playbooks/{playbookIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204
No Content
No content
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
202
Accepted
taskObjectIdentifierstring · uuidOptional
typestring · nullableOptional
statusstring · nullableOptional
post/playbooks/{playbookIdentifier}/export
POST /playbooks/{playbookIdentifier}/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
202
Accepted
{
"taskObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"status": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Body
namestring · nullableRequired
descriptionstring · nullableOptional
Responses
202
Accepted
taskObjectIdentifierstring · uuidOptional
typestring · nullableOptional
statusstring · nullableOptional
post/playbooks/{playbookIdentifier}/clone
POST /playbooks/{playbookIdentifier}/clone HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"name": "text",
"description": "text"
}202
Accepted
{
"taskObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"status": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
statusstring · nullableRequired
progressPercentinteger · int32Optional
failureReasonstring · nullableOptional
dateAddedstring · date-timeRequired
dateCompletedstring · date-time · nullableOptional
versionSnapshotstring · nullableOptional
fileSizeBytesinteger · int64 · nullableOptional
blobExpiresAtstring · date-time · nullableOptional
isDownloadablebooleanOptional
get/playbooks/{playbookIdentifier}/exports
GET /playbooks/{playbookIdentifier}/exports HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"status": "text",
"progressPercent": 1,
"failureReason": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"versionSnapshot": "text",
"fileSizeBytes": 1,
"blobExpiresAt": "2026-01-01T00:00:00.000Z",
"isDownloadable": true
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
statusstring · nullableRequired
progressPercentinteger · int32Optional
failureReasonstring · nullableOptional
dateAddedstring · date-timeRequired
dateCompletedstring · date-time · nullableOptional
sourcePlaybookObjectIdentifierstring · uuidOptional
sourcePlaybookNamestring · nullableOptional
resultingPlaybookObjectIdentifierstring · uuid · nullableOptional
resultingPlaybookNamestring · nullableOptional
get/playbooks/{playbookIdentifier}/clones
GET /playbooks/{playbookIdentifier}/clones HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"status": "text",
"progressPercent": 1,
"failureReason": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"sourcePlaybookObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"sourcePlaybookName": "text",
"resultingPlaybookObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"resultingPlaybookName": "text"
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
exportObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
string · binaryOptional
404
Not Found
get/playbooks/{playbookIdentifier}/exports/{exportObjectIdentifier}/download
GET /playbooks/{playbookIdentifier}/exports/{exportObjectIdentifier}/download HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryAuthorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
200
OK
string · binaryOptional
404
Not Found
get/playbooks/{playbookIdentifier}/image
GET /playbooks/{playbookIdentifier}/image HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryAuthorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Body
imagestring · binaryOptional
Responses
201
Created
No content
400
Bad Request
post/playbooks/{playbookIdentifier}/image
POST /playbooks/{playbookIdentifier}/image HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 18
{
"image": "binary"
}No content
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableOptional
get/playbooks/{playbookIdentifier}/preview/groups
GET /playbooks/{playbookIdentifier}/preview/groups HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text"
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
groupObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
labelstring · nullableOptional
descriptionstring · nullableOptional
hasChildrenbooleanOptional
get/playbooks/{playbookIdentifier}/preview/groups/{groupObjectIdentifier}/prompts
GET /playbooks/{playbookIdentifier}/preview/groups/{groupObjectIdentifier}/prompts HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"label": "text",
"description": "text",
"hasChildren": true
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
parentObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
labelstring · nullableOptional
descriptionstring · nullableOptional
hasChildrenbooleanOptional
get/playbooks/{playbookIdentifier}/preview/prompts/{parentObjectIdentifier}/children
GET /playbooks/{playbookIdentifier}/preview/prompts/{parentObjectIdentifier}/children HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"label": "text",
"description": "text",
"hasChildren": true
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
promptIdstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
isUsedbooleanOptional
usedInAssembliesstring[] · nullableOptional
get/playbooks/{playbookIdentifier}/prompts/{promptId}/assembly-usage
GET /playbooks/{playbookIdentifier}/prompts/{promptId}/assembly-usage HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"isUsed": true,
"usedInAssemblies": [
"text"
]
}Last updated
